List Subscriptions

​

Returns a paginated list of subscriptions. By default, returns subscriptions that have not been canceled. Use the status parameter to filter by status, including canceled.

You can also review and manage subscriptions in the Merchant Dashboard.

Related guides: Products and Prices and Subscriptions

Query Parameters

  • Maximum number of subscriptions to return (1–100).

  • Opaque cursor for pagination. Use the last_key value from the previous response to retrieve the next page.

  • Filter by subscription status. Repeat the parameter to filter by multiple statuses.

    values
    incompleteincomplete_expiredtrialingactivepast_duecanceledunpaidpaused
  • Filter by customer ID(s). Repeat the parameter for multiple values.

  • Return subscriptions created on or after this date (ISO 8601).

  • Return subscriptions created on or before this date (ISO 8601).

  • Full-text search across subscription fields.

  • Expand related objects inline. Use customer to replace the customer ID with the full customer object.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/subscriptions
curl 'https://api.paypercut.io/v1/subscriptions?limit=20&last_key=eyJsYXN0SWQiOiIyMTIxMDAyMWMyODU1MDA3ZWZhMmQ2NTcwMTgiLCJsYXN0Q3JlYXRlZEF0IjoiMjAyNC0wMS0xNVQxMDozMDowMFoifQ%3D%3D' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
List of active subscriptions
{
  "items": [
    {
      "id": "01HD7M6DRKZ4Q4QEVWJB0RC1S6",
      "customer": "01KJQ34MWYH0TES77RDXA8T8TT",
      "status": "active",
      "start_date": "2026-01-01T00:00:00Z",
      "next_billing_date": "2026-02-01T00:00:00Z",
      "current_period_start": "2026-01-01T00:00:00Z",
      "current_period_end": "2026-02-01T00:00:00Z",
      "cancel_at_period_end": false,
      "cancel_at": null,
      "canceled_at": null,
      "collection_method": "charge_automatically",
      "currency": "USD",
      "default_payment_method": "01XXXXXXXXXXXXXXXXXXXXXXX",
      "livemode": false,
      "items": [
        {
          "id": "01XXXXXXXXXXXXXXXXXXXXXXX",
          "price": "01XXXXXXXXXXXXXXXXXXXXXXX",
          "product": "01XXXXXXXXXXXXXXXXXXXXXXX",
          "quantity": 1,
          "billing_interval": "monthly",
          "unit_amount": 2999,
          "currency": "USD",
          "recurring": {
            "interval": "monthly",
            "interval_count": 1,
            "usage_type": "licensed"
          },
          "created_at": "2026-01-01T00:00:00Z",
          "updated_at": "2026-01-01T00:00:00Z"
        }
      ],
      "metadata": {
        "plan": "premium"
      },
      "payment_behavior": "default_incomplete",
      "created": "2026-01-01T00:00:00Z",
      "updated_at": "2026-01-01T00:00:00Z"
    }
  ],
  "last_key": null
}